# configure

abstract fun <T> configure(type: Class<T>, action: Action<in T>)

Looks for the extension of the specified type and configures it with the supplied action.

#### Parameters

type

extension type

action

the configure action

#### Throws

UnknownDomainObjectException

if no extension is found.

abstract fun <T> configure(type: TypeOf<T>, action: Action<in T>)

Looks for the extension of the specified type and configures it with the supplied action.

#### Since

3.5

#### Parameters

type

extension type

action

the configure action

#### Throws

UnknownDomainObjectException

if no extension is found.

abstract fun <T> configure(name: String, action: Action<in T>)

Looks for the extension with the specified name and configures it with the supplied action.

#### Since

4.0

#### Parameters

name

extension name

action

the configure action

#### Throws

UnknownDomainObjectException

if no extension is found.